# Release History
source: https://developer.mastercard.com/unified-installments/documentation/release-history/index.md

## Release History {#release-history}

This page provides a record of updates to the Mastercard Installments APIs, highlighting key enhancements, feature releases, and documentation changes.

| **Release Dates** | **Release Version** |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
|-------------------|---------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| February 2026     | v9.1.4              | Updated the following information: * Updated the validation to restrict usage of special characters for `merchantLegalName` and `address` parameters to improve accuracy and compliance in `POST /merchants/participations` - Request parameters of Merchant Participation API. <!-- --> * Regex rules have been relaxed to allow broader character support while still preventing invalid or malicious inputs. The reference application has been updated to reflect these changes, ensuring consistency across onboarding workflows.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| August 2025       | v9.1.3              | Made multiple changes in Installment Plan API POST endpoint. 1. The following fields are mandatory in the request: * `offerId` * `consumer.primaryAccountNumber` * `planInstallmentInformation.currency` * `planInstallmentInformation.frequency` * `planInstallmentInformation.otherInstallmentAmount` * planInstallmentInformation.tenure 2. The following fields will be conditional. One of them will have to be present in the Request of POST /plans endpoint * `offerTransactionId` * `distributionpartnerTransactionId` 3. Rest all the fields are marked optional. 4. A new field `partnerInstallmentLink` is added in the response of POST /plans. This is an optional field and will only be available in the response if configured, else field will not be visible. Note: The changes are already made on the Sandbox environment and will be available on the production environment on 18th September 2025.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| August 2025       | v9.1.2              | Introduced a new endpoint to fetch real-time offers from Issuers. Additionally, enhanced and aligned the eligible offer response to simplify the fee field. Note: The changes are already made in the Sandbox environment and will be available on the production environment on 4th September 2025.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| April 2025        | v9.1.1              | 1. `acquirerId` data type changed from string to number to support 4-11 digits in `POST /offers` endpoint. 2. Added `tokenTransactionId` and `transactionLinkId` in the `POST /plans request`. Corresponding examples and error messages for these fields are added. 3. Added `offerCode`, `tokenTransactionId` and `transactionLinkId` in `POST /notifications` request. 4. Improved Zally score 5. Following sections are updated: * [Merchant participation API](https://developer.mastercard.com/unified-installments/documentation/api-reference/mastercard-installments-services/inbound-api/index.md#apis) * [Reference Application](https://developer.mastercard.com/unified-installments/documentation/developer-tools/reference-app/index.md) * [Import Mastercard Installments Collection](https://developer.mastercard.com/unified-installments/tutorial/integration-and-testing/step1/index.md#import-mastercard-installments-collection)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| February 2025     | v9.1.0              | 1. Added a new validation to restrict usage of special characters, such as pipe separated character, backtick, ", \<, \>, (, ), {}, \[\], !, %, $, #, /, :, ;, \^ for `merchantLegalName` and `address` parameters across all Merchant Participation APIs. If a customer uses any of these characters in the request, the request will fail with a validation error indicating the same. Refer to the [API Reference](https://developer.mastercard.com/unified-installments/documentation/api-reference/mastercard-installments-services/inbound-api/index.md#apis) page for the following endpoints: * `POST /merchants/mids/searches` - Request param * `POST /merchants/searches` - Request param * `POST /merchants/participations` - Request param * `GET /merchants/participations` - Response param 2. Added two new tests under [Merchant Participation API Testing](https://developer.mastercard.com/unified-installments/documentation/testing/mastercard-installments-program-with-merchant-participation/merchant-participation-api-positivesc/index.md) page. 3. Added a new page [Test Data for Mastercard Installments Payment Services](https://developer.mastercard.com/unified-installments/documentation/testing/mastercard-installments-payment-services/index.md), under [Testing](https://developer.mastercard.com/unified-installments/documentation/testing/index.md) page. 4. Added details of payload encryption for `GET /plans/{plan_id}` endpoint under [Encryption](https://developer.mastercard.com/unified-installments/documentation/api-reference/mastercard-installments-services/inbound-api/index.md#apis) page. |

Refer to the [Use Cases](https://developer.mastercard.com/unified-installments/documentation/use-cases/mastercard-installments-program-with-merchant-participation/index.md) section for a functional explanation and the [API Reference](https://developer.mastercard.com/unified-installments/documentation/api-reference/mastercard-installments-services/inbound-api/index.md#apis) Section for technical details of new APIs.
